
DECLARE SUB Asm_Print (InString AS STRING)
'$INCLUDE: 'vbdos.bi'


CLS
DIM CrLf AS STRING * 2

CrLf = CHR$(13) + CHR$(10)
'Set up A$ to move the cursor down 3 lines.
'====================================================
A$ = CrLf + CrLf + CrLf
'Send the string to Asm_Print routine
Asm_Print A$           'move down 3 lines

'Change A$ to a string
'====================================================
A$ = "Hi I am Stephen Oulton   $$$$$" + CrLf
Asm_Print A$   'Print the sentence.

'When you call an assembly routine it leaves the
'cursor position the same as before it was called
'That is why this string is placed at the top of
' the screen.
'====================================================
INPUT "Press enter to see the shuttle"; z$

'Open an ansi picture file and read it into a string
'====================================================

File_No% = FREEFILE  'I like to use Free File so I
					 'won't use a file number that
					 'is already in use some where
					 'else. Especially when using
					 'other peoples libraries

OPEN "SHUTTLE2.ANS" FOR INPUT AS #File_No%
B$ = ""
A$ = ""

WHILE NOT EOF(File_No%)
 LINE INPUT #File_No%, B$
 A$ = A$ + B$
WEND
CLOSE File_No%

' Send the string with the ansi picture to the
' Asm_Print routine
'====================================================
Asm_Print A$

SUB Asm_Print (InString AS STRING)

' Call InterruptX is the routine that lets you set the Data Segment (DS)

DIM InRegs  AS RegTypeX ' this is the veriable that goes to the routine.
DIM OutRegs AS RegTypeX ' this is the one where you get info back.

InRegs.bx = 1                 'Set the file handle to the screen
InRegs.Ds = SSEG(InString)    'Put the strings Segment address in DS
InRegs.Dx = SADD(InString)    'Put the string offset address in DX register
InRegs.cx = LEN(InString)     'The length of the string goes in CX
InRegs.AX = &H40 * 256        'Put 40h Write XXX Bytes to device
CALL InterruptX(&H21, InRegs, OutRegs) 'Then call interrupt 21 hex.

END SUB

